import win32.windows;
import std.stdio;
import std.string;
import std.utf;
import win32frame.writek;
import win32frame.WindowObject ;


class CheckBox : WindowObject {
  
  this(string name) {
    winc.lpszClassName  = toUTFz!(wchar*)("BUTTON") ;
    setStyle( (WS_CHILD | WS_VISIBLE | BS_CHECKBOX) ) ;
    super(name) ;
  }

  int getState() {
    return( cast(int)sendmsg(BM_GETCHECK , 0 , 0) ) ;
  }

  int setState(uint state) {
    return( cast(int)sendmsg(BM_SETCHECK , state , 0) ) ;
  }

  int enable() {
    return( EnableWindow(this.getHWND(), TRUE) ) ;
  }

  int disable() {
    return( EnableWindow(this.getHWND(), FALSE) ) ;
  }

}
